Bug 428231 - Switch Xen PVFB over to use QEMU instead of libvncserver & merge TLS patches
Switch Xen PVFB over to use QEMU instead of libvncserver & merge TLS patches
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks: 428160
  Show dependency treegraph
 
Reported: 2008-01-10 00:03 EST by Daniel Berrange
Modified: 2009-12-14 16:16 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0305
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:21:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add QEMU fv machine type (20.27 KB, patch)
2008-01-11 17:51 EST, Daniel Berrange
no flags Details | Diff
Add QEMU pv machine type (18.31 KB, patch)
2008-01-11 17:52 EST, Daniel Berrange
no flags Details | Diff
Remove existing QEMU vnc auth code (25.01 KB, patch)
2008-01-11 17:52 EST, Daniel Berrange
no flags Details | Diff
Fix event loop bug (862 bytes, patch)
2008-01-11 17:53 EST, Daniel Berrange
no flags Details | Diff
Add new VNC password & TLS security impl (64.46 KB, patch)
2008-01-11 17:53 EST, Daniel Berrange
no flags Details | Diff
Add XenD config opts for TLS (5.67 KB, patch)
2008-01-11 17:53 EST, Daniel Berrange
no flags Details | Diff
Add compat PVFB support to QEMU (10.24 KB, patch)
2008-01-12 14:16 EST, Daniel Berrange
no flags Details | Diff
Neccessary specfil changes (3.87 KB, patch)
2008-01-12 14:17 EST, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2008-01-10 00:03:08 EST
Description of problem:
Bug 428160 is requesting remote management support for virt-manager. For this to
be practical we need secure VNC supported. This means including the TLS protocol
extension for VNC in QEMU, and switching PVFB over to use QEMU.

This entails the following patches from the current F-8 Xen RPM be applied to
RHEL-5.2

Patch160: xen-pvfb-01-qemu-fv-machine.patch
Patch161: xen-pvfb-02-qemu-pv-machine.patch
Patch162: xen-pvfb-03-xenfb-remove.patch
Patch163: xen-pvfb-04-compat.patch

Patch164: xen-qemu-vnc-revert-password.patch

Patch165: xen-qemu-iohandler-delete.patch
Patch166: xen-qemu-vnc-authentication.patch
Patch167: xen-qemu-vnc-x509-certs.patch



Version-Release number of selected component (if applicable):
xen-3.0.3

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2008-01-10 00:05:30 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Bill Burns 2008-01-10 08:23:44 EST
Set dec ack, assigned to Dan, added xen-maint cc.
Comment 5 Daniel Berrange 2008-01-11 17:51:47 EST
Created attachment 291430 [details]
Add QEMU fv machine type
Comment 6 Daniel Berrange 2008-01-11 17:52:08 EST
Created attachment 291431 [details]
Add QEMU pv machine type
Comment 7 Daniel Berrange 2008-01-11 17:52:34 EST
Created attachment 291432 [details]
Remove existing QEMU vnc auth code
Comment 8 Daniel Berrange 2008-01-11 17:53:01 EST
Created attachment 291433 [details]
Fix event loop bug
Comment 9 Daniel Berrange 2008-01-11 17:53:23 EST
Created attachment 291434 [details]
Add new VNC password & TLS security impl
Comment 10 Daniel Berrange 2008-01-11 17:53:49 EST
Created attachment 291435 [details]
Add XenD config  opts for TLS
Comment 11 Daniel Berrange 2008-01-11 17:55:06 EST
Two of the Fedora 8 patches proved to be unecessary for RHEL-5 (we have
equivalent code already). So we need 6 patches:


> Patch700: xen-pvfb-01-qemu-fv-machine.patch
> Patch701: xen-pvfb-02-qemu-pv-machine.patch
> Patch702: xen-qemu-vnc-revert-password.patch
> Patch703: xen-qemu-iohandler-delete.patch
> Patch704: xen-qemu-vnc-authentication.patch
> Patch705: xen-qemu-vnc-x509-certs.patch


Furthermore we can now remove LibVNCServer and all its patches

< Patch300: vnc-thread-fixes.patch
< Patch301: vnc-invalid-fd.patch
< Patch302: vnc-ref-counting.patch
< Patch303: vnc-client-iterator.patch
< Patch304: vnc-double-cleanup.patch
< Patch305: vnc-unaligned-access-fix.patch
Comment 12 Daniel Berrange 2008-01-12 14:16:09 EST
Created attachment 291473 [details]
Add compat PVFB support to QEMU

This is the final patch making QEMU support the old PVFB 'in-process'
Comment 13 Daniel Berrange 2008-01-12 14:17:35 EST
Created attachment 291474 [details]
Neccessary specfil changes
Comment 14 Daniel Berrange 2008-01-17 10:59:02 EST
Added to RPM

* Wed Jan 16 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-45.el5
- Switch PVFB over to use QEMU for backend (rhbz#428231)

And built

$ brew latest-pkg dist-5E-qu-candidate xen
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
xen-3.0.3-45.el5                          dist-5E-qu-candidate  berrange
Comment 16 Don Domingo 2008-04-01 22:11:42 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 18 errata-xmlrpc 2008-05-21 11:21:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0305.html

Note You need to log in before you can comment on or make changes to this bug.